Bug 6954 - z39.50 results highlighting not sticking
Summary: z39.50 results highlighting not sticking
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-02 14:12 UTC by Nicole C. Engard
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.58 KB, patch)
2011-10-04 16:49 UTC, Ian Walls
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6924: z39.50 results highlighting not sticking (1.71 KB, patch)
2011-10-04 17:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-10-02 14:12:50 UTC
When doing a Z search if you click on a row it highlights in yellow. If you click a preview link that yellow highlight goes away making it hard to figure out which line you were viewing.  In 3.4 this highlighting used to stick even after you clicked the preview link.
Comment 1 Nicole C. Engard 2011-10-03 16:15:56 UTC
[12:10]  <oleonard> nengard: Do you have an example of that working the way you expect?
[12:10]  <oleonard> I agree that the way you describe it is how it *should* work.
[12:11]  <nengard> i have to admit I didn't remember it ever working that way, but a partner of ours said it did and I took his word for it
Comment 2 Ian Walls 2011-10-04 15:40:54 UTC
On line 23 of the cataloguing/z3950_search.tt, in the function closemenu(), the selection highlighting is turned off as part of the closing of the menu.  This may relate to the fix for 6367; the persistence of the highlighting could have been an unintentional benefit of the misplaced menu ID grabbing.
Comment 3 Ian Walls 2011-10-04 16:49:44 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-10-04 17:06:21 UTC
Created attachment 5700 [details] [review]
[SIGNED-OFF] Bug 6924: z39.50 results highlighting not sticking

Moves the highlighting call of the JS up to right after 'row' is defined, so the
highlighting will stick even after you click on of the popup menu options

http://bugs.koha-community.org/show_bug.cgi?id=6954
Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Ian Walls 2011-10-04 17:30:45 UTC
Question to the community:  should this count as a new feature (and thus wait until after 3.6 is released), or as a bugfix for integration immediately?  I do not feel qualified to answer, as this patch was a request by a ByWater partner, and it would be in my own self interest for it to be committed soon.
Comment 6 Owen Leonard 2011-10-04 18:05:25 UTC
It's a tiny change to a template. No reason not to include it now.
Comment 7 Katrin Fischer 2011-10-05 07:14:16 UTC
I think it's not a new feature but a small improvement to make things easier. +1 for inclusion.
Comment 8 Ian Walls 2011-10-15 12:20:54 UTC
Given the tiny nature of this patch (moved 1 line), and it's benefit (without introducing new strings), I'm marking this as Passed QA.  Integration into 3.6 is of course at the RM's discretion.
Comment 9 Chris Cormack 2011-10-18 03:16:06 UTC
With the +1 from one of the translators and sign off from QA, I'm happy to push this, please test.
Comment 10 Jared Camins-Esakov 2012-12-31 00:23:48 UTC
There have been no further reports of problems so I am marking this bug resolved.